Subject: Re: [patch] d80211: use pfifo_qdisc_ops rather than d80211-specific qdisc

From: Johannes Berg <[email-masked]>
Date: Thu, 02 Nov 2006 16:02:15 +0100

On Thu, 2006-11-02 at 14:45 +0000, Christoph Hellwig wrote:

> I never said the name was related to WE - in fact there are tons of out of
> tree drivers with different names.  The important bit is that upgrading a
> kernel adn changing the wireless stack must not change the device name.

Ah, but if that is your point then you should be arguing that the stack
may not dictate the device name at all, in order to keep existing
drivers able to keep whatever devicenames they were creating now...

> All my scripts expect my bcm43xx card to be eth1 and not wifi0 or
> wlansomething.  

But, but.. Kernel-assigned device names aren't really stable in
practise, and in most distros udev will actually assign a stable name
based on the mac address (which will, incidentally, apparently be ethX).

Really though, I don't care about having it ethX, I rename it to
whatever I want in userspace anyway.

> There's in fact another much worse migration prblem
> when we want to do wlan support correctly: the advertised frametype still
> is 802.3 for all wlan devices (which make the current ethX names correct
> in some obscure very technical way) and we need to make them raw 802.11
> long-term.  It will probably make sense to do both migrations at the
> same time and have a CONFIG_ option to force the old behaviour [1].

Making it 802.11 will probably upset dhcp, I'd think. I have no idea how
to handle that, at this time.

johannes